Welcome to PhantomPilots.com

Sign up for a weekly email of the latest drone news & information

Galaxy S2 with V2+???

Discussion in 'General Discussion' started by edmcmeans, Jan 21, 2015.

  1. edmcmeans

    Joined:
    Jan 10, 2015
    Messages:
    35
    Likes Received:
    1
    Has anyone tried, used, or had any experience with a Galaxy S2 with a V2+? I'm using an old iphone right now and can get a galaxy S2 for free, needs a new battery. I know that dji says S3 and up, but maybe?? Thanks for any input, Ed
     
  2. MonsieurAnon

    Joined:
    Nov 22, 2013
    Messages:
    353
    Likes Received:
    0
    Location:
    Melbourne, Australia
    I use the SGS2 with the Vision without any issue. It's a highly upgradeable phone in terms of Android operating systems, so unless you're locked to carrier based OS upgrades I think you should be fine.
     
Loading...
Similar Threads - Galaxy V2+ Forum Date
DJI Go app crashing on Galaxy S7 Edge Control (Go, Litchi, etc..) Jun 26, 2017
Samsung galaxy Tab 3 compatible with p4 and litchi? Phantom 4 Help Jun 16, 2017
P3A and galaxy note 8 Pro/Adv Discussion Jun 11, 2017
DJI GO 4 App Crashing on Samsung Galaxy S5 Control (Go, Litchi, etc..) May 29, 2017
Suggested ROM for rooting galaxy S6? General Discussion May 20, 2017